GOSS(1)

NAME
goss - Quick and Easy server validation

SYNOPSIS
goss [global options] command [command options] ...

DESCRIPTION
goss is a YAML based serverspec alternative tool for validating a server's configuration. It eases the process of writing tests by allowing the user to generate tests from the current system state. Once the test suite is written they can be executed, waited-on, or served as a health endpoint.

COMMANDS

validate, v
    Validate system

serve, s
    Serve a health endpoint

render, r
    render gossfile after imports

autoadd, aa
    automatically add all matching resource to the test suite

add, a
    add a resource to the test suite

help, h
    Shows a list of commands or help for one command

OPTIONS

--log-level value, --loglevel value, -L value, -l value
    Goss log verbosity level (default: "INFO") [$GOSS_LOGLEVEL]

--gossfile value, -g value
    Goss file to read from / write to (default: "./goss.yaml") [$GOSS_FILE]

--vars value
    json/yaml file containing variables for template [$GOSS_VARS]

--vars-inline value
    json/yaml string containing variables for template (overwrites vars) [$GOSS_VARS_INLINE]

--package value
    Package type to use [apk, dpkg, pacman, rpm]

--help, -h
    show help